#!/bin/sh
#Create directories if not created.
mkdir -p TestFiles/NUnit.Runners
nuget install Nunit.Runners -OutputDirectory TestFiles/NUnit.Runners
dotnet restore RecrownedGTK.sln
msbuild RecrownedGTK.sln
mkdir -p TestFiles/Results
TestFiles/NUnit.Runners/NUnit.ConsoleRunner.3.11.1/tools/nunit3-console.exe RecrownedGTK.sln --result=nunit3 --output "Results/build_${BUILD_ID}_log.txt" --work="TestFiles"
cp TestFiles/nunit3 "TestFiles/Results/build_${BUILD_ID}_results.xml"