using System.IO;
using System.Reflection;
namespace RecrownedGTK {
    public static class Utilities {
        /// <summary>
        /// Returns a stream with the embedded resource.
        /// Remember to dispose when done.
        /// </summary>
        /// <param name="assemblyPath">The path to the file in the assembly.</param>
        /// <returns></returns>
        public static Stream ReadEmbeddedFile(string assemblyPath) {
            return Assembly.GetExecutingAssembly().GetManifestResourceStream(assemblyPath);
        }
    }
}